From b2679f5e6e871c3316625d231ef88e5858d1b57c Mon Sep 17 00:00:00 2001
From: Charles Plessy <plessy@debian.org>
Date: Thu, 14 Aug 2014 21:30:47 +0900
Subject: [PATCH] Document the Testsuite field.

---
 policy.sgml | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/policy.sgml b/policy.sgml
index 6eac491..a8b27e2 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -2666,6 +2666,7 @@ Package: libc6
 	    <item><qref id="f-Standards-Version"><tt>Standards-Version</tt></qref> (recommended)</item>
 	    <item><qref id="f-Homepage"><tt>Homepage</tt></qref></item>
 	    <item><qref id="f-VCS-fields"><tt>Vcs-Browser</tt>, <tt>Vcs-Git</tt>, et al.</qref></item>
+	    <item><qref id="f-Testsuite"><tt>Testsuite</tt></qref></item>
 	  </list>
 	</p>
 
@@ -2761,6 +2762,7 @@ Package: libc6
 	  <item><qref id="f-Uploaders"><tt>Uploaders</tt></qref></item>
 	  <item><qref id="f-Homepage"><tt>Homepage</tt></qref></item>
 	  <item><qref id="f-VCS-fields"><tt>Vcs-Browser</tt>, <tt>Vcs-Git</tt>, et al.</qref></item>
+	  <item><qref id="f-Testsuite"><tt>Testsuite</tt></qref></item>
 	  <item><qref id="f-Dgit"><tt>Dgit</tt></qref></item>
 	  <item><qref id="f-Standards-Version"><tt>Standards-Version</tt></qref> (recommended)</item>
 	  <item><qref id="sourcebinarydeps"><tt>Build-Depends</tt> et al</qref></item>
@@ -3863,6 +3865,24 @@ Checksums-Sha256:
 	    further details.
 	  </p>
 	</sect1>
+
+	<sect1 id="f-Testsuite">
+	  <heading><tt>Testsuite</tt></heading>
+
+	  <p>
+	    Simple field containing a comma-separated list of values allowing
+	    test execution environments to discover packages which provide
+	    tests.  Currently, the only defined value is <tt>autopkgtest</tt>.
+	  </p>
+
+	  <p>
+	    This field is automatically added to Debian source control files by
+	    <prgn>dpkg</prgn><footnote>from version 1.17.11.</footnote> when
+	    a <file>debian/tests/control</file> file is present in the source
+	    package.  This field may also be used in source package control
+	    files if needed in other situations.
+	  </p>
+	</sect1>
       </sect>
 
       <sect>
-- 
2.0.1

